%global reponame qtutilities
%global soname 6

Name:           %{reponame}
Version:        6.14.3
Release:        1%{?dist} 
Summary:        Common Qt related C++ classes and routines such as dialogs, widgets and models
License:        GPL-2.0-or-later
URL:            https://github.com/Martchus/%{reponame}
Source:         https://github.com/Martchus/%{reponame}/archive/v%{version}/%{reponame}-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
BuildRequires:  c++utilities-devel
BuildRequires:  qt5-qtbase-devel >= 5.6.0
BuildRequires:  qt5-qttools-devel >= 5.6.0
BuildRequires:  pkgconfig

%description
Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models.

%package -n lib%{reponame}%{soname}
Summary:        Common Qt related C++ classes and routines such as dialogs, widgets and models
Group:          System/Libraries

%description -n lib%{reponame}%{soname}
Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models.

%package devel
Summary:        Devel files for %{reponame}
Group:          Development/Libraries/C and C++
Requires:       c++utilities-devel
Requires:       lib%{reponame}%{soname} = %{version}

%description devel
Development files for %{reponame}

%prep
%setup -q -n %{reponame}-%{version}

%build
%cmake \
  -DBUILD_SHARED_LIBS:BOOL=ON \
  -DBUILTIN_TRANSLATIONS:BOOL=ON
%cmake_build

%check
export QT_QPA_PLATFORM=offscreen
export LD_LIBRARY_PATH="$PWD/%{__cmake_builddir}:$LD_LIBRARY_PATH"
%cmake_build --target check

%install
%cmake_install

%files -n lib%{reponame}%{soname}
%license LICENSE
%{_libdir}/lib%{reponame}.so.%{soname}*

%files devel
%doc README.md
%{_includedir}/%{reponame}
%{_datadir}/%{reponame}
%{_libdir}/pkgconfig/%{reponame}.pc
%{_libdir}/lib%{reponame}.so

%changelog
* Wed Oct 16 2024 Marius Kittler <marius.kittler@suse.com>
- Update to 6.14.3

* Wed Apr  7 2021 Marius Kittler <marius.kittler@suse.com>
- Update to 6.4.0
